> For the complete documentation index, see [llms.txt](https://docs.realmacsoftware.com/elements-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmacsoftware.com/elements-docs/elements-language/component/properties-json/general-structure.md).

# General Structure

All properties have the same general structure using the following object keys.

<table><thead><tr><th width="156">Key</th><th width="110">Value</th><th>Notes</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>See <a href="/pages/wBAWSwX4UnqJDum9IFDU">Title</a> for more information</td></tr><tr><td><code>id</code></td><td>string</td><td>See <a href="/pages/y8S3OLCoczMOkIduZo41">ID</a> for more information</td></tr><tr><td><code>format</code></td><td>string</td><td>See <a href="/pages/Orps7VriXZwSBq45OFfG">Format</a> for more information</td></tr><tr><td><code>visible</code></td><td>string</td><td>See <a href="/pages/XV13f2YVdIu0uCRU9GQ1">Visible</a> for more information</td></tr><tr><td><code>enabled</code></td><td>string</td><td>See <a href="/pages/mgRItaSc43mn1uSVWHeG">Enabled</a> for more information</td></tr><tr><td><code>responsive</code></td><td>boolean</td><td>See <a href="/pages/Zz9ZABXukSzgheIMbfVP">Responsive</a> for more information</td></tr></tbody></table>

### Code Example

This example shows a real-world control for a hero overlay. The slider only appears when the overlay is enabled and it outputs a Tailwind class.

```json
{
  "title": "Overlay Opacity",
  "id": "overlayOpacity",
  "format": "bg-opacity-[{{value}}%]",
  "visible": "showOverlay == true",
  "enabled": "overlayStyle != 'none'",
  "responsive": false,
  "slider": {
    "default": 60,
    "min": 0,
    "max": 100,
    "round": true,
    "units": "%"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmacsoftware.com/elements-docs/elements-language/component/properties-json/general-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
